Bug 118727 - dependencies on XFree86-devel prevent xorg-x11 installation
dependencies on XFree86-devel prevent xorg-x11 installation
Product: Red Hat Raw Hide
Classification: Retired
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-19 11:30 EST by Guy Streeter
Modified: 2016-02-09 20:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-07 05:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2004-03-19 11:30:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
$ rpm -q --whatrequires XFree86-devel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date -u in the rawhide channel

Actual Results:  unresolvable chain of dependencies

Expected Results:  successful install of xorg-x11

Additional info:
Comment 1 Mike A. Harris 2004-03-19 11:43:47 EST
$ for each in 
XFree86-devel compatibility is currently provided (temporarily
at least) in the xorg-x11-devel package in all xorg-x11 builds:

$ hostname ; pwd
$ for each in $( find . -name "xorg-x11-devel-*i386.rpm" ); do (echo
${each##*/}: ; rpm -qp
--provides $each  | grep XFree86 ); done
XFree86-devel = 4.4.0
XFree86-devel = 4.4.0

Closing as 'NOTABUG'
Comment 2 Guy Streeter 2004-03-19 11:59:19 EST
up2date -u
in the rawhide channel fails with:

Unresolvable chain of dependencies:
XFree86-4.3.0-64                         requires XFree86-libs = 4.3.0-64
XFree86-devel-4.3.0-64                   requires XFree86-libs = 4.3.0-64
XFree86-xfs-4.3.0-64                     requires XFree86-libs = 4.3.0-64
Comment 3 Mike A. Harris 2004-03-19 14:44:04 EST
[XFree86-4.3.0-64  requires XFree86-libs = 4.3.0-64]

XFree86-4.3.0-64 does have Requires: XFree86-libs = 4.3.0-64,
however all xorg-x11 packages must be upgraded at once.  Mixing and
matching XFree86 and xorg-x11 packages is not permitted.  How
to ensure that happens in up2date, I'm not sure.

Each one of the xorg-x11-libs packages has an
Obsoletes: XFree86-<foo> where "foo" is the same name of the
XFree86 package.  This ensures that when all packages are upgraded,
each one of the xorg-x11 packages Obsoletes the XFree86 package
of the same name.

Here is what is present in xorg-x11-libs package, and you can
verify that by running "rpm -qp --provides" on the current
xorg-libs package:

Obsoletes: XFree86-libs
Provides: XFree86-libs = 4.4.0

$ rpm -qp --provides
| grep XFree86
XFree86-libs = 4.4.0

Upgrading the main XFree86 package at the same time to xorg-x11
main package should satisfy that dependancy, because the XFree86
package then gets removed, and there is no more dependancy on

Same thing for the XFree86-devel-4.3.0-64 and XFree86-xfs-4.3.0-64
packages above.  I don't know what version of xorg-x11 is provided
by up2date in your above upgrade attempt, so it's possible RHN
is supplying an older version that does not supply all of the
Provides that I mention above.  I recommend not using up2date
to upgrade to xorg-x11 for at least a few days to ensure that
RHN is in sync with current development.

Leaving the issue open for now until we have more information.
If you could do:  up2date -l  of a system with XFree86 installed
and no xorg-x11 installed, then try "up2date -u" again, and provide
the output from both, that might help a bit.

Perhaps I need to add some "Conflicts: ..." lines in there too,
not sure.

Thanks for the info streeter!

Comment 4 Mike A. Harris 2004-03-23 15:48:35 EST
Removing block on 118423, as that blocker bug specifically does not
handle XFree86-devel issues.  The xorg-x11 packaging properly
provides XFree86-devel, so there is no xorg-x11 XFree86-devel
bug, or at least not one that blocks what my bug 118423 tracker
was filed for.

Note You need to log in before you can comment on or make changes to this bug.